library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity blikac is
   port (
            CLK: in std_logic;
            LED: out std_logic_vector(1 downto 0)
         );
end blikac;

architecture Behavioral of blikac is
   component clk_divisor is
      generic (divisor : integer ); 
      port (
         CLK_INPUT  : in std_logic;
         RESET      : in std_logic;
         CLK_OUTPUT : out std_logic
      );
   end component;

   signal output, light : std_logic;
begin
i_clk_divisor: clk_divisor
   -- oscilator na S3BOARD ma 50 MHz, T = 20E-9 ns, pro tikani 
   -- 0,5 s potrebujeme nacitat 25e6 pulzu z primarniho oscilatoru
   generic map (divisor => 25e6)
   port map (
         CLK_INPUT => CLK,
         CLK_OUTPUT => output,
         RESET => '0'
      );
      
process(output)
begin
   if output = '1' and output'event then
      if light = '0' then
         light <= '1';
      else
         light <= '0';
      end if;
   end if;
end process;

   LED <= (light, not light);
end Behavioral;

